/*===========================================================================*/
/*   (Rgc/rgcdfa.scm)                                                        */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Rgc/rgcdfa.scm -indent -o objs/obj_u/Rgc/rgcdfa.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_dfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_rulesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl__statezf3zf3zz__rgc_dfaz00(obj_t, obj_t);
extern obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t, int);
static obj_t BGl_makezd2statezd2zz__rgc_dfaz00(obj_t);
static obj_t BGl__resetzd2dfaz12zc0zz__rgc_dfaz00(obj_t);
extern int BGl_rgcsetzd2ze3hashz31zz__rgc_setz00(obj_t);
static obj_t BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl__nodezd2ze3dfaz31zz__rgc_dfaz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__statezd2positionszd2zz__rgc_dfaz00(obj_t, obj_t);
extern obj_t string_to_symbol(char *);
BGL_EXPORTED_DECL obj_t BGl_getzd2initialzd2statez00zz__rgc_dfaz00();
static obj_t BGl__printzd2dfazd2zz__rgc_dfaz00(obj_t, obj_t);
extern obj_t BGl_treezd2maxzd2charz00zz__rgc_rulesz00();
extern char * BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_statezd2namezd2zz__rgc_dfaz00(obj_t);
static obj_t BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC;
extern obj_t string_to_bstring(char *);
static obj_t BGl_symbol1998z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1996z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1994z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1991z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1988z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1986z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1984z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1982z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1975z00zz__rgc_dfaz00 = BUNSPEC;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_getzd2hashzd2zz__hashz00(obj_t, obj_t);
extern obj_t display_string(obj_t, obj_t);
static obj_t BGl_symbol2024z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol2023z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol2021z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol2019z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31179ze3z83zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_symbol2013z00zz__rgc_dfaz00 = BUNSPEC;
extern obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t, obj_t);
extern obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(int);
static obj_t BGl_symbol2011z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol2009z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol2006z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol2004z00zz__rgc_dfaz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_resetzd2dfaz12zc0zz__rgc_dfaz00();
static obj_t BGl_symbol2001z00zz__rgc_dfaz00 = BUNSPEC;
extern obj_t create_struct(obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_statezd2positionszd2zz__rgc_dfaz00(obj_t);
static obj_t BGl__getzd2initialzd2statez00zz__rgc_dfaz00(obj_t);
static obj_t BGl_list2000z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list2002z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__rgc_dfaz00();
static obj_t BGl_list2003z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list2005z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list2007z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list2008z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list2010z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list2012z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl__statezd2transitionszd2zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_list2018z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list2020z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list2022z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31127ze3z83zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31056ze3z83zz__rgc_dfaz00(obj_t, obj_t);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_putzd2hashz12zc0zz__hashz00(obj_t, obj_t);
static obj_t BGl____statezd2positionzd2setz00zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00();
BGL_EXPORTED_DECL obj_t BGl_printzd2dfazd2zz__rgc_dfaz00(obj_t);
static obj_t BGl_list1981z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1983z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1985z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31060ze3z83zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_list1987z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_initzd2statesz12zc0zz__rgc_dfaz00();
static obj_t BGl_list1990z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1993z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1995z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1997z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__rgc_dfaz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_statezf3zf3zz__rgc_dfaz00(obj_t);
static obj_t BGl_zc3anonymousza31136ze3z83zz__rgc_dfaz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC;
extern obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t, obj_t);
static obj_t BGl__statezd2namezd2zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_stateszd2listzd2zz__rgc_dfaz00();
extern obj_t BGl_makezd2hashzd2tablez00zz__hashz00(long, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2hashz00zz__hashz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_statezd2transitionszd2zz__rgc_dfaz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__rgc_dfaz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_statezd2namezd2envz00zz__rgc_dfaz00, BgL_bgl__stateza7d2nameza7d2za7za7__rgc_dfaza7002032za7, BGl__statezd2namezd2zz__rgc_dfaz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc1976z00zz__rgc_dfaz00, BgL_bgl_za7c3anonymousza7a31136za7e3za783za7za7__rgc_dfaza7002033za7, BGl_zc3anonymousza31136ze3z83zz__rgc_dfaz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_statezd2positionszd2envz00zz__rgc_dfaz00, BgL_bgl__stateza7d2positionsza7d2za7za7__rgc_dfaza7002034za7, BGl__statezd2positionszd2zz__rgc_dfaz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_statezd2transitionszd2envz00zz__rgc_dfaz00, BgL_bgl__stateza7d2transitionsza7d2za7za7__rgc_dfaza7002035za7, BGl__statezd2transitionszd2zz__rgc_dfaz00, 0L, 1 );
DEFINE_STRING( BGl_string1992z00zz__rgc_dfaz00, BgL_bgl_string1992za700za7za7__rgc_dfaza7002036z00, " [", 2 );
DEFINE_STRING( BGl_string1989z00zz__rgc_dfaz00, BgL_bgl_string1989za700za7za7__rgc_dfaza7002037z00, "   ", 3 );
DEFINE_STRING( BGl_string1979z00zz__rgc_dfaz00, BgL_bgl_string1979za700za7za7__rgc_dfaza7002038z00, "========= DFA ====================================", 50 );
DEFINE_STRING( BGl_string1980z00zz__rgc_dfaz00, BgL_bgl_string1980za700za7za7__rgc_dfaza7002039z00, "state: ", 7 );
DEFINE_STRING( BGl_string1978z00zz__rgc_dfaz00, BgL_bgl_string1978za700za7za7__rgc_dfaza7002040z00, "-", 1 );
DEFINE_STRING( BGl_string1977z00zz__rgc_dfaz00, BgL_bgl_string1977za700za7za7__rgc_dfaza7002041z00, "STATE-", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_statezf3zd2envz21zz__rgc_dfaz00, BgL_bgl__stateza7f3za7f3za7za7__rgc_dfaza7002042za7, BGl__statezf3zf3zz__rgc_dfaz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_resetzd2dfaz12zd2envz12zz__rgc_dfaz00, BgL_bgl__resetza7d2dfaza712za7c0za7za7__rgc_dfaza7002043z00, BGl__resetzd2dfaz12zc0zz__rgc_dfaz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl___statezd2positionzd2setzd2envzd2zz__rgc_dfaz00, BgL_bgl____stateza7d2positionza7d2setza700za7za7__rgc_dfaza7002044z00, BGl____statezd2positionzd2setz00zz__rgc_dfaz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_printzd2dfazd2envz00zz__rgc_dfaz00, BgL_bgl__printza7d2dfaza7d2za7za7__rgc_dfaza7002045za7, BGl__printzd2dfazd2zz__rgc_dfaz00, 0L, 1 );
DEFINE_STRING( BGl_string2025z00zz__rgc_dfaz00, BgL_bgl_string2025za700za7za7__rgc_dfaza7002046z00, "==================================================", 50 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2initialzd2statezd2envzd2zz__rgc_dfaz00, BgL_bgl__getza7d2initialza7d2stateza700za7za7__rgc_dfaza7002047z00, BGl__getzd2initialzd2statez00zz__rgc_dfaz00, 0L, 0 );
DEFINE_STRING( BGl_string2017z00zz__rgc_dfaz00, BgL_bgl_string2017za700za7za7__rgc_dfaza7002048z00, "  -->  ", 7 );
DEFINE_STRING( BGl_string2016z00zz__rgc_dfaz00, BgL_bgl_string2016za700za7za7__rgc_dfaza7002049z00, "]", 1 );
DEFINE_STRING( BGl_string2015z00zz__rgc_dfaz00, BgL_bgl_string2015za700za7za7__rgc_dfaza7002050z00, "special", 7 );
DEFINE_STRING( BGl_string2014z00zz__rgc_dfaz00, BgL_bgl_string2014za700za7za7__rgc_dfaza7002051z00, "ascii", 5 );
extern obj_t BGl_rgcsetzd2equalzf3zd2envzf3zz__rgc_setz00;
DEFINE_EXPORT_PROCEDURE( BGl_nodezd2ze3dfazd2envze3zz__rgc_dfaz00, BgL_bgl__nodeza7d2za7e3dfaza731za7za7__rgc_dfaza7002052z00, BGl__nodezd2ze3dfaz31zz__rgc_dfaz00, 0L, 3 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_dfaz00(long BgL_checksumz00_893, char * BgL_fromz00_894)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_dfaz00))
{ 
BGl_requirezd2initializa7ationz75zz__rgc_dfaz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__rgc_dfaz00(); 
BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00(); 
BGl_toplevelzd2initzd2zz__rgc_dfaz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__rgc_dfaz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 15 */
BGl_symbol1975z00zz__rgc_dfaz00 = 
string_to_symbol("__state"); 
BGl_symbol1982z00zz__rgc_dfaz00 = 
string_to_symbol("for-each"); 
BGl_symbol1984z00zz__rgc_dfaz00 = 
string_to_symbol("lambda"); 
BGl_symbol1986z00zz__rgc_dfaz00 = 
string_to_symbol("trans"); 
BGl_list1985z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol1986z00zz__rgc_dfaz00, BNIL); 
BGl_symbol1988z00zz__rgc_dfaz00 = 
string_to_symbol("print"); 
BGl_symbol1991z00zz__rgc_dfaz00 = 
string_to_symbol("car"); 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_908;
BgL_auxz00_908 = 
MAKE_PAIR(BGl_symbol1986z00zz__rgc_dfaz00, BNIL); 
BGl_list1990z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol1991z00zz__rgc_dfaz00, BgL_auxz00_908); } 
BGl_symbol1994z00zz__rgc_dfaz00 = 
string_to_symbol("if"); 
BGl_symbol1996z00zz__rgc_dfaz00 = 
string_to_symbol("and"); 
BGl_symbol1998z00zz__rgc_dfaz00 = 
string_to_symbol("<"); 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_914;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_915;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_916;
BgL_auxz00_916 = 
BINT(((long)256)); 
BgL_auxz00_915 = 
MAKE_PAIR(BgL_auxz00_916, BNIL); } 
BgL_auxz00_914 = 
MAKE_PAIR(BGl_list1990z00zz__rgc_dfaz00, BgL_auxz00_915); } 
BGl_list1997z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol1998z00zz__rgc_dfaz00, BgL_auxz00_914); } 
BGl_symbol2001z00zz__rgc_dfaz00 = 
string_to_symbol("let"); 
BGl_symbol2004z00zz__rgc_dfaz00 = 
string_to_symbol("c"); 
BGl_symbol2006z00zz__rgc_dfaz00 = 
string_to_symbol("integer->char"); 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_924;
BgL_auxz00_924 = 
MAKE_PAIR(BGl_list1990z00zz__rgc_dfaz00, BNIL); 
BGl_list2005z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol2006z00zz__rgc_dfaz00, BgL_auxz00_924); } 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_927;
BgL_auxz00_927 = 
MAKE_PAIR(BGl_list2005z00zz__rgc_dfaz00, BNIL); 
BGl_list2003z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol2004z00zz__rgc_dfaz00, BgL_auxz00_927); } 
BGl_list2002z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_list2003z00zz__rgc_dfaz00, BNIL); 
BGl_symbol2009z00zz__rgc_dfaz00 = 
string_to_symbol("or"); 
BGl_symbol2011z00zz__rgc_dfaz00 = 
string_to_symbol("char-alphabetic?"); 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_933;
BgL_auxz00_933 = 
MAKE_PAIR(BGl_symbol2004z00zz__rgc_dfaz00, BNIL); 
BGl_list2010z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol2011z00zz__rgc_dfaz00, BgL_auxz00_933); } 
BGl_symbol2013z00zz__rgc_dfaz00 = 
string_to_symbol("char-numeric?"); 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_937;
BgL_auxz00_937 = 
MAKE_PAIR(BGl_symbol2004z00zz__rgc_dfaz00, BNIL); 
BGl_list2012z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol2013z00zz__rgc_dfaz00, BgL_auxz00_937); } 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_940;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_941;
BgL_auxz00_941 = 
MAKE_PAIR(BGl_list2012z00zz__rgc_dfaz00, BNIL); 
BgL_auxz00_940 = 
MAKE_PAIR(BGl_list2010z00zz__rgc_dfaz00, BgL_auxz00_941); } 
BGl_list2008z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol2009z00zz__rgc_dfaz00, BgL_auxz00_940); } 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_945;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_946;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_947;
BgL_auxz00_947 = 
MAKE_PAIR(BGl_string2014z00zz__rgc_dfaz00, BNIL); 
BgL_auxz00_946 = 
MAKE_PAIR(BGl_symbol2004z00zz__rgc_dfaz00, BgL_auxz00_947); } 
BgL_auxz00_945 = 
MAKE_PAIR(BGl_list2008z00zz__rgc_dfaz00, BgL_auxz00_946); } 
BGl_list2007z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol1994z00zz__rgc_dfaz00, BgL_auxz00_945); } 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_952;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_953;
BgL_auxz00_953 = 
MAKE_PAIR(BGl_list2007z00zz__rgc_dfaz00, BNIL); 
BgL_auxz00_952 = 
MAKE_PAIR(BGl_list2002z00zz__rgc_dfaz00, BgL_auxz00_953); } 
BGl_list2000z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol2001z00zz__rgc_dfaz00, BgL_auxz00_952); } 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_957;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_958;
BgL_auxz00_958 = 
MAKE_PAIR(BGl_list2000z00zz__rgc_dfaz00, BNIL); 
BgL_auxz00_957 = 
MAKE_PAIR(BGl_list1997z00zz__rgc_dfaz00, BgL_auxz00_958); } 
BGl_list1995z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol1996z00zz__rgc_dfaz00, BgL_auxz00_957); } 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_962;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_963;
BgL_auxz00_963 = 
MAKE_PAIR(BGl_string2015z00zz__rgc_dfaz00, BNIL); 
BgL_auxz00_962 = 
MAKE_PAIR(BGl_list1995z00zz__rgc_dfaz00, BgL_auxz00_963); } 
BGl_list1993z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol1994z00zz__rgc_dfaz00, BgL_auxz00_962); } 
BGl_symbol2019z00zz__rgc_dfaz00 = 
string_to_symbol("__state-number"); 
BGl_symbol2021z00zz__rgc_dfaz00 = 
string_to_symbol("cdr"); 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_969;
BgL_auxz00_969 = 
MAKE_PAIR(BGl_symbol1986z00zz__rgc_dfaz00, BNIL); 
BGl_list2020z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol2021z00zz__rgc_dfaz00, BgL_auxz00_969); } 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_972;
BgL_auxz00_972 = 
MAKE_PAIR(BGl_list2020z00zz__rgc_dfaz00, BNIL); 
BGl_list2018z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol2019z00zz__rgc_dfaz00, BgL_auxz00_972); } 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_975;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_976;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_977;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_978;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_979;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_980;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_981;
BgL_auxz00_981 = 
MAKE_PAIR(BGl_list2018z00zz__rgc_dfaz00, BNIL); 
BgL_auxz00_980 = 
MAKE_PAIR(BGl_string2017z00zz__rgc_dfaz00, BgL_auxz00_981); } 
BgL_auxz00_979 = 
MAKE_PAIR(BGl_string2016z00zz__rgc_dfaz00, BgL_auxz00_980); } 
BgL_auxz00_978 = 
MAKE_PAIR(BGl_list1993z00zz__rgc_dfaz00, BgL_auxz00_979); } 
BgL_auxz00_977 = 
MAKE_PAIR(BGl_string1992z00zz__rgc_dfaz00, BgL_auxz00_978); } 
BgL_auxz00_976 = 
MAKE_PAIR(BGl_list1990z00zz__rgc_dfaz00, BgL_auxz00_977); } 
BgL_auxz00_975 = 
MAKE_PAIR(BGl_string1989z00zz__rgc_dfaz00, BgL_auxz00_976); } 
BGl_list1987z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol1988z00zz__rgc_dfaz00, BgL_auxz00_975); } 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_990;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_991;
BgL_auxz00_991 = 
MAKE_PAIR(BGl_list1987z00zz__rgc_dfaz00, BNIL); 
BgL_auxz00_990 = 
MAKE_PAIR(BGl_list1985z00zz__rgc_dfaz00, BgL_auxz00_991); } 
BGl_list1983z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol1984z00zz__rgc_dfaz00, BgL_auxz00_990); } 
BGl_symbol2023z00zz__rgc_dfaz00 = 
string_to_symbol("__state-transitions"); 
BGl_symbol2024z00zz__rgc_dfaz00 = 
string_to_symbol("state"); 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_997;
BgL_auxz00_997 = 
MAKE_PAIR(BGl_symbol2024z00zz__rgc_dfaz00, BNIL); 
BGl_list2022z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol2023z00zz__rgc_dfaz00, BgL_auxz00_997); } 
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_1000;
{ /* ./Rgc/rgcdfa.scm 264 */
obj_t BgL_auxz00_1001;
BgL_auxz00_1001 = 
MAKE_PAIR(BGl_list2022z00zz__rgc_dfaz00, BNIL); 
BgL_auxz00_1000 = 
MAKE_PAIR(BGl_list1983z00zz__rgc_dfaz00, BgL_auxz00_1001); } 
return ( 
BGl_list1981z00zz__rgc_dfaz00 = 
MAKE_PAIR(BGl_symbol1982z00zz__rgc_dfaz00, BgL_auxz00_1000), BUNSPEC) ;} } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__rgc_dfaz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 15 */
BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC; 
BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC; 
return ( 
BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC, BUNSPEC) ;} 
}



/* node->dfa */
BGL_EXPORTED_DEF obj_t BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(obj_t BgL_rootz00_15, obj_t BgL_followposz00_16, obj_t BgL_positionsz00_17)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 58 */
BGl_initzd2statesz12zc0zz__rgc_dfaz00(); 
{ /* ./Rgc/rgcdfa.scm 65 */
obj_t BgL_initialzd2statezd2_415;int BgL_positionszd2numzd2_416;
{ /* ./Rgc/rgcdfa.scm 65 */
obj_t BgL_auxz00_1006;
{ /* ./Rgc/rgcdfa.scm 65 */
int BgL_auxz00_1007;
BgL_auxz00_1007 = 
(int)(((long)0)); 
BgL_auxz00_1006 = 
STRUCT_REF(BgL_rootz00_15, BgL_auxz00_1007); } 
BgL_initialzd2statezd2_415 = 
BGl_makezd2statezd2zz__rgc_dfaz00(BgL_auxz00_1006); } 
BgL_positionszd2numzd2_416 = 
VECTOR_LENGTH(BgL_positionsz00_17); 
BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BgL_initialzd2statezd2_415; 
{ 
obj_t BgL_dzd2stateszd2_417;
{ /* ./Rgc/rgcdfa.scm 68 */
obj_t BgL_arg1045z00_419;
{ /* ./Rgc/rgcdfa.scm 68 */
obj_t BgL_list1048z00_420;
BgL_list1048z00_420 = 
MAKE_PAIR(BgL_initialzd2statezd2_415, BNIL); 
BgL_arg1045z00_419 = BgL_list1048z00_420; } 
BgL_dzd2stateszd2_417 = BgL_arg1045z00_419; 
BgL_loopz00_418:
if(
NULLP(BgL_dzd2stateszd2_417))
{ /* ./Rgc/rgcdfa.scm 70 */
return 
BGl_stateszd2listzd2zz__rgc_dfaz00();}  else 
{ /* ./Rgc/rgcdfa.scm 74 */
obj_t BgL_newzd2dzd2statesz00_422;
{ /* ./Rgc/rgcdfa.scm 74 */
obj_t BgL_cellvalz00_1016;
BgL_cellvalz00_1016 = 
CDR(BgL_dzd2stateszd2_417); 
BgL_newzd2dzd2statesz00_422 = 
MAKE_CELL(BgL_cellvalz00_1016); } 
{ /* ./Rgc/rgcdfa.scm 74 */
obj_t BgL_tz00_423;
BgL_tz00_423 = 
CAR(BgL_dzd2stateszd2_417); 
{ /* ./Rgc/rgcdfa.scm 75 */
obj_t BgL_tzd2positionszd2_424;
{ /* ./Rgc/rgcdfa.scm 76 */
int BgL_auxz00_1019;
BgL_auxz00_1019 = 
(int)(((long)3)); 
BgL_tzd2positionszd2_424 = 
STRUCT_REF(BgL_tz00_423, BgL_auxz00_1019); } 
{ /* ./Rgc/rgcdfa.scm 76 */

{ /* ./Rgc/rgcdfa.scm 82 */
obj_t BgL_arg1054z00_426;
{ /* ./Rgc/rgcdfa.scm 107 */
obj_t BgL_symbolzd2setzd2_668;
{ /* ./Rgc/rgcdfa.scm 107 */
obj_t BgL_arg1187z00_669;
BgL_arg1187z00_669 = 
BGl_treezd2maxzd2charz00zz__rgc_rulesz00(); 
BgL_symbolzd2setzd2_668 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(
CINT(BgL_arg1187z00_669)); } 
{ /* ./Rgc/rgcdfa.scm 107 */
obj_t BgL_zc3anonymousza31179ze3z83_839;
{ 
int BgL_auxz00_1027;int BgL_auxz00_1025;
BgL_auxz00_1027 = 
(int)(((long)2)); 
BgL_auxz00_1025 = 
(int)(((long)1)); 
BgL_zc3anonymousza31179ze3z83_839 = 
make_fx_procedure(BGl_zc3anonymousza31179ze3z83zz__rgc_dfaz00, BgL_auxz00_1025, BgL_auxz00_1027); } 
{ /* ./Rgc/rgcdfa.scm 107 */
int BgL_auxz00_1030;
BgL_auxz00_1030 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31179ze3z83_839, BgL_auxz00_1030, BgL_positionsz00_17); } 
{ /* ./Rgc/rgcdfa.scm 107 */
int BgL_auxz00_1033;
BgL_auxz00_1033 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31179ze3z83_839, BgL_auxz00_1033, BgL_symbolzd2setzd2_668); } 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_zc3anonymousza31179ze3z83_839, BgL_tzd2positionszd2_424); } 
BgL_arg1054z00_426 = BgL_symbolzd2setzd2_668; } 
{ /* ./Rgc/rgcdfa.scm 83 */
obj_t BgL_zc3anonymousza31056ze3z83_838;
{ 
int BgL_auxz00_1039;int BgL_auxz00_1037;
BgL_auxz00_1039 = 
(int)(((long)6)); 
BgL_auxz00_1037 = 
(int)(((long)1)); 
BgL_zc3anonymousza31056ze3z83_838 = 
make_fx_procedure(BGl_zc3anonymousza31056ze3z83zz__rgc_dfaz00, BgL_auxz00_1037, BgL_auxz00_1039); } 
{ /* ./Rgc/rgcdfa.scm 83 */
obj_t BgL_auxz00_1044;int BgL_auxz00_1042;
BgL_auxz00_1044 = 
BINT(BgL_positionszd2numzd2_416); 
BgL_auxz00_1042 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31056ze3z83_838, BgL_auxz00_1042, BgL_auxz00_1044); } 
{ /* ./Rgc/rgcdfa.scm 83 */
int BgL_auxz00_1047;
BgL_auxz00_1047 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31056ze3z83_838, BgL_auxz00_1047, BgL_positionsz00_17); } 
{ /* ./Rgc/rgcdfa.scm 83 */
int BgL_auxz00_1050;
BgL_auxz00_1050 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31056ze3z83_838, BgL_auxz00_1050, BgL_followposz00_16); } 
{ /* ./Rgc/rgcdfa.scm 83 */
int BgL_auxz00_1053;
BgL_auxz00_1053 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31056ze3z83_838, BgL_auxz00_1053, BgL_tzd2positionszd2_424); } 
{ /* ./Rgc/rgcdfa.scm 83 */
int BgL_auxz00_1056;
BgL_auxz00_1056 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31056ze3z83_838, BgL_auxz00_1056, BgL_newzd2dzd2statesz00_422); } 
{ /* ./Rgc/rgcdfa.scm 83 */
int BgL_auxz00_1059;
BgL_auxz00_1059 = 
(int)(((long)5)); 
PROCEDURE_SET(BgL_zc3anonymousza31056ze3z83_838, BgL_auxz00_1059, BgL_tz00_423); } 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_zc3anonymousza31056ze3z83_838, BgL_arg1054z00_426); } } 
{ 
obj_t BgL_dzd2stateszd2_1063;
BgL_dzd2stateszd2_1063 = 
CELL_REF(BgL_newzd2dzd2statesz00_422); 
BgL_dzd2stateszd2_417 = BgL_dzd2stateszd2_1063; 
goto BgL_loopz00_418;} } } } } } } } } 
}



/* _node->dfa */
obj_t BGl__nodezd2ze3dfaz31zz__rgc_dfaz00(obj_t BgL_envz00_840, obj_t BgL_rootz00_841, obj_t BgL_followposz00_842, obj_t BgL_positionsz00_843)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 58 */
return 
BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(BgL_rootz00_841, BgL_followposz00_842, BgL_positionsz00_843);} 
}



/* <anonymous:1056> */
obj_t BGl_zc3anonymousza31056ze3z83zz__rgc_dfaz00(obj_t BgL_envz00_844, obj_t BgL_az00_851)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 82 */
{ /* ./Rgc/rgcdfa.scm 83 */
obj_t BgL_positionszd2numzd2_845;obj_t BgL_positionsz00_846;obj_t BgL_followposz00_847;obj_t BgL_tzd2positionszd2_848;obj_t BgL_newzd2dzd2statesz00_849;obj_t BgL_tz00_850;
{ /* ./Rgc/rgcdfa.scm 83 */
int BgL_auxz00_1065;
BgL_auxz00_1065 = 
(int)(((long)0)); 
BgL_positionszd2numzd2_845 = 
PROCEDURE_REF(BgL_envz00_844, BgL_auxz00_1065); } 
{ /* ./Rgc/rgcdfa.scm 83 */
int BgL_auxz00_1068;
BgL_auxz00_1068 = 
(int)(((long)1)); 
BgL_positionsz00_846 = 
PROCEDURE_REF(BgL_envz00_844, BgL_auxz00_1068); } 
{ /* ./Rgc/rgcdfa.scm 83 */
int BgL_auxz00_1071;
BgL_auxz00_1071 = 
(int)(((long)2)); 
BgL_followposz00_847 = 
PROCEDURE_REF(BgL_envz00_844, BgL_auxz00_1071); } 
{ /* ./Rgc/rgcdfa.scm 83 */
int BgL_auxz00_1074;
BgL_auxz00_1074 = 
(int)(((long)3)); 
BgL_tzd2positionszd2_848 = 
PROCEDURE_REF(BgL_envz00_844, BgL_auxz00_1074); } 
{ /* ./Rgc/rgcdfa.scm 83 */
int BgL_auxz00_1077;
BgL_auxz00_1077 = 
(int)(((long)4)); 
BgL_newzd2dzd2statesz00_849 = 
PROCEDURE_REF(BgL_envz00_844, BgL_auxz00_1077); } 
{ /* ./Rgc/rgcdfa.scm 83 */
int BgL_auxz00_1080;
BgL_auxz00_1080 = 
(int)(((long)5)); 
BgL_tz00_850 = 
PROCEDURE_REF(BgL_envz00_844, BgL_auxz00_1080); } 
{ 
obj_t BgL_az00_427;
BgL_az00_427 = BgL_az00_851; 
{ /* ./Rgc/rgcdfa.scm 83 */
obj_t BgL_uz00_429;obj_t BgL_uzd2emptyzf3z21_430;
BgL_uz00_429 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(
CINT(BgL_positionszd2numzd2_845)); 
BgL_uzd2emptyzf3z21_430 = 
MAKE_CELL(BTRUE); 
{ /* ./Rgc/rgcdfa.scm 87 */
obj_t BgL_zc3anonymousza31060ze3z83_837;
{ 
int BgL_auxz00_1087;int BgL_auxz00_1085;
BgL_auxz00_1087 = 
(int)(((long)5)); 
BgL_auxz00_1085 = 
(int)(((long)1)); 
BgL_zc3anonymousza31060ze3z83_837 = 
make_fx_procedure(BGl_zc3anonymousza31060ze3z83zz__rgc_dfaz00, BgL_auxz00_1085, BgL_auxz00_1087); } 
{ /* ./Rgc/rgcdfa.scm 87 */
int BgL_auxz00_1090;
BgL_auxz00_1090 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31060ze3z83_837, BgL_auxz00_1090, BgL_positionsz00_846); } 
{ /* ./Rgc/rgcdfa.scm 87 */
int BgL_auxz00_1093;
BgL_auxz00_1093 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31060ze3z83_837, BgL_auxz00_1093, BgL_az00_427); } 
{ /* ./Rgc/rgcdfa.scm 87 */
int BgL_auxz00_1096;
BgL_auxz00_1096 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31060ze3z83_837, BgL_auxz00_1096, BgL_uzd2emptyzf3z21_430); } 
{ /* ./Rgc/rgcdfa.scm 87 */
int BgL_auxz00_1099;
BgL_auxz00_1099 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31060ze3z83_837, BgL_auxz00_1099, BgL_followposz00_847); } 
{ /* ./Rgc/rgcdfa.scm 87 */
int BgL_auxz00_1102;
BgL_auxz00_1102 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31060ze3z83_837, BgL_auxz00_1102, BgL_uz00_429); } 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_zc3anonymousza31060ze3z83_837, BgL_tzd2positionszd2_848); } 
{ /* ./Rgc/rgcdfa.scm 94 */
bool_t BgL_testz00_1106;
{ /* ./Rgc/rgcdfa.scm 94 */
obj_t BgL_auxz00_1107;
BgL_auxz00_1107 = 
CELL_REF(BgL_uzd2emptyzf3z21_430); 
BgL_testz00_1106 = 
CBOOL(BgL_auxz00_1107); } 
if(BgL_testz00_1106)
{ /* ./Rgc/rgcdfa.scm 94 */
return BFALSE;}  else 
{ /* ./Rgc/rgcdfa.scm 95 */
obj_t BgL_usz00_438;
{ /* ./Rgc/rgcdfa.scm 95 */
obj_t BgL_oldzd2statezd2_439;
BgL_oldzd2statezd2_439 = 
BGl_getzd2hashzd2zz__hashz00(BgL_uz00_429, BGl_za2statesza2z00zz__rgc_dfaz00); 
{ /* ./Rgc/rgcdfa.scm 96 */
bool_t BgL_test1072z00_440;
if(
STRUCTP(BgL_oldzd2statezd2_439))
{ /* ./Rgc/rgcdfa.scm 96 */
obj_t BgL_auxz00_1112;
BgL_auxz00_1112 = 
STRUCT_KEY(BgL_oldzd2statezd2_439); 
BgL_test1072z00_440 = 
(BgL_auxz00_1112==BGl_symbol1975z00zz__rgc_dfaz00); }  else 
{ /* ./Rgc/rgcdfa.scm 96 */
BgL_test1072z00_440 = ((bool_t)0); } 
if(BgL_test1072z00_440)
{ /* ./Rgc/rgcdfa.scm 96 */
BgL_usz00_438 = BgL_oldzd2statezd2_439; }  else 
{ /* ./Rgc/rgcdfa.scm 97 */
obj_t BgL_newzd2statezd2_441;
BgL_newzd2statezd2_441 = 
BGl_makezd2statezd2zz__rgc_dfaz00(BgL_uz00_429); 
{ /* ./Rgc/rgcdfa.scm 100 */
obj_t BgL_auxz00_852;
{ /* ./Rgc/rgcdfa.scm 101 */
obj_t BgL_auxz00_1117;
BgL_auxz00_1117 = 
CELL_REF(BgL_newzd2dzd2statesz00_849); 
BgL_auxz00_852 = 
MAKE_PAIR(BgL_newzd2statezd2_441, BgL_auxz00_1117); } 
CELL_SET(BgL_newzd2dzd2statesz00_849, BgL_auxz00_852); } 
BgL_usz00_438 = BgL_newzd2statezd2_441; } } } 
{ /* ./Rgc/rgcdfa.scm 106 */
obj_t BgL_arg1164z00_694;
{ /* ./Rgc/rgcdfa.scm 106 */
obj_t BgL_arg1169z00_695;obj_t BgL_arg1171z00_696;
BgL_arg1169z00_695 = 
MAKE_PAIR(BgL_az00_427, BgL_usz00_438); 
{ /* ./Rgc/rgcdfa.scm 106 */
int BgL_auxz00_1120;
BgL_auxz00_1120 = 
(int)(((long)2)); 
BgL_arg1171z00_696 = 
STRUCT_REF(BgL_tz00_850, BgL_auxz00_1120); } 
BgL_arg1164z00_694 = 
MAKE_PAIR(BgL_arg1169z00_695, BgL_arg1171z00_696); } 
{ /* ./Rgc/rgcdfa.scm 106 */
int BgL_auxz00_1124;
BgL_auxz00_1124 = 
(int)(((long)2)); 
return 
STRUCT_SET(BgL_tz00_850, BgL_auxz00_1124, BgL_arg1164z00_694);} } } } } } } } 
}



/* <anonymous:1060> */
obj_t BGl_zc3anonymousza31060ze3z83zz__rgc_dfaz00(obj_t BgL_envz00_853, obj_t BgL_pz00_859)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 86 */
{ /* ./Rgc/rgcdfa.scm 87 */
obj_t BgL_positionsz00_854;obj_t BgL_az00_855;obj_t BgL_uzd2emptyzf3z21_856;obj_t BgL_followposz00_857;obj_t BgL_uz00_858;
{ /* ./Rgc/rgcdfa.scm 87 */
int BgL_auxz00_1127;
BgL_auxz00_1127 = 
(int)(((long)0)); 
BgL_positionsz00_854 = 
PROCEDURE_REF(BgL_envz00_853, BgL_auxz00_1127); } 
{ /* ./Rgc/rgcdfa.scm 87 */
int BgL_auxz00_1130;
BgL_auxz00_1130 = 
(int)(((long)1)); 
BgL_az00_855 = 
PROCEDURE_REF(BgL_envz00_853, BgL_auxz00_1130); } 
{ /* ./Rgc/rgcdfa.scm 87 */
int BgL_auxz00_1133;
BgL_auxz00_1133 = 
(int)(((long)2)); 
BgL_uzd2emptyzf3z21_856 = 
PROCEDURE_REF(BgL_envz00_853, BgL_auxz00_1133); } 
{ /* ./Rgc/rgcdfa.scm 87 */
int BgL_auxz00_1136;
BgL_auxz00_1136 = 
(int)(((long)3)); 
BgL_followposz00_857 = 
PROCEDURE_REF(BgL_envz00_853, BgL_auxz00_1136); } 
{ /* ./Rgc/rgcdfa.scm 87 */
int BgL_auxz00_1139;
BgL_auxz00_1139 = 
(int)(((long)4)); 
BgL_uz00_858 = 
PROCEDURE_REF(BgL_envz00_853, BgL_auxz00_1139); } 
{ 
obj_t BgL_pz00_432;
BgL_pz00_432 = BgL_pz00_859; 
{ /* ./Rgc/rgcdfa.scm 87 */
bool_t BgL_test1061z00_434;
{ /* ./Rgc/rgcdfa.scm 87 */
obj_t BgL_arg1068z00_436;
{ 
int BgL_auxz00_1142;
BgL_auxz00_1142 = 
CINT(BgL_pz00_432); 
BgL_arg1068z00_436 = 
VECTOR_REF(BgL_positionsz00_854,BgL_auxz00_1142); } 
{ /* ./Rgc/rgcdfa.scm 87 */
long BgL_auxz00_1147;long BgL_auxz00_1145;
BgL_auxz00_1147 = 
(long)CINT(BgL_arg1068z00_436); 
BgL_auxz00_1145 = 
(long)CINT(BgL_az00_855); 
BgL_test1061z00_434 = 
(BgL_auxz00_1145==BgL_auxz00_1147); } } 
if(BgL_test1061z00_434)
{ /* ./Rgc/rgcdfa.scm 87 */
CELL_SET(BgL_uzd2emptyzf3z21_856, BFALSE); 
{ /* ./Rgc/rgcdfa.scm 90 */
obj_t BgL_auxz00_1151;
{ 
int BgL_auxz00_1152;
BgL_auxz00_1152 = 
CINT(BgL_pz00_432); 
BgL_auxz00_1151 = 
VECTOR_REF(BgL_followposz00_857,BgL_auxz00_1152); } 
return 
BGl_rgcsetzd2orz12zc0zz__rgc_setz00(BgL_uz00_858, BgL_auxz00_1151);} }  else 
{ /* ./Rgc/rgcdfa.scm 87 */
return BFALSE;} } } } } 
}



/* <anonymous:1179> */
obj_t BGl_zc3anonymousza31179ze3z83zz__rgc_dfaz00(obj_t BgL_envz00_861, obj_t BgL_iz00_864)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 239 */
{ /* ./Rgc/rgcdfa.scm 107 */
obj_t BgL_positionsz00_862;obj_t BgL_symbolzd2setzd2_863;
{ /* ./Rgc/rgcdfa.scm 107 */
int BgL_auxz00_1156;
BgL_auxz00_1156 = 
(int)(((long)0)); 
BgL_positionsz00_862 = 
PROCEDURE_REF(BgL_envz00_861, BgL_auxz00_1156); } 
{ /* ./Rgc/rgcdfa.scm 107 */
int BgL_auxz00_1159;
BgL_auxz00_1159 = 
(int)(((long)1)); 
BgL_symbolzd2setzd2_863 = 
PROCEDURE_REF(BgL_envz00_861, BgL_auxz00_1159); } 
{ 
obj_t BgL_iz00_671;
BgL_iz00_671 = BgL_iz00_864; 
{ /* ./Rgc/rgcdfa.scm 107 */
obj_t BgL_arg1181z00_673;
{ 
int BgL_auxz00_1162;
BgL_auxz00_1162 = 
CINT(BgL_iz00_671); 
BgL_arg1181z00_673 = 
VECTOR_REF(BgL_positionsz00_862,BgL_auxz00_1162); } 
return 
BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_symbolzd2setzd2_863, 
CINT(BgL_arg1181z00_673));} } } } 
}



/* reset-dfa! */
BGL_EXPORTED_DEF obj_t BGl_resetzd2dfaz12zc0zz__rgc_dfaz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 114 */
BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC; 
BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC; 
return ( 
BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC, BUNSPEC) ;} 
}



/* _reset-dfa! */
obj_t BGl__resetzd2dfaz12zc0zz__rgc_dfaz00(obj_t BgL_envz00_865)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 114 */
return 
BGl_resetzd2dfaz12zc0zz__rgc_dfaz00();} 
}



/* get-initial-state */
BGL_EXPORTED_DEF obj_t BGl_getzd2initialzd2statez00zz__rgc_dfaz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 127 */
return BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00;} 
}



/* _get-initial-state */
obj_t BGl__getzd2initialzd2statez00zz__rgc_dfaz00(obj_t BgL_envz00_866)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 127 */
return BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00;} 
}



/* ___state-position-set */
obj_t BGl____statezd2positionzd2setz00zz__rgc_dfaz00(obj_t BgL_envz00_867, obj_t BgL_sz00_868)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 135 */
{ /* ./Rgc/rgcdfa.scm 135 */
int BgL_auxz00_1168;
BgL_auxz00_1168 = 
(int)(((long)3)); 
return 
STRUCT_REF(BgL_sz00_868, BgL_auxz00_1168);} } 
}



/* states-list */
obj_t BGl_stateszd2listzd2zz__rgc_dfaz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 145 */
{ /* ./Rgc/rgcdfa.scm 146 */
obj_t BgL_resz00_454;
BgL_resz00_454 = 
MAKE_CELL(BNIL); 
{ /* ./Rgc/rgcdfa.scm 147 */
obj_t BgL_zc3anonymousza31127ze3z83_869;
{ 
int BgL_auxz00_1173;int BgL_auxz00_1171;
BgL_auxz00_1173 = 
(int)(((long)1)); 
BgL_auxz00_1171 = 
(int)(((long)1)); 
BgL_zc3anonymousza31127ze3z83_869 = 
make_fx_procedure(BGl_zc3anonymousza31127ze3z83zz__rgc_dfaz00, BgL_auxz00_1171, BgL_auxz00_1173); } 
{ /* ./Rgc/rgcdfa.scm 147 */
int BgL_auxz00_1176;
BgL_auxz00_1176 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31127ze3z83_869, BgL_auxz00_1176, BgL_resz00_454); } 
BGl_forzd2eachzd2hashz00zz__hashz00(BgL_zc3anonymousza31127ze3z83_869, BGl_za2statesza2z00zz__rgc_dfaz00); } 
return 
CELL_REF(BgL_resz00_454);} } 
}



/* <anonymous:1127> */
obj_t BGl_zc3anonymousza31127ze3z83zz__rgc_dfaz00(obj_t BgL_envz00_870, obj_t BgL_statez00_872)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 147 */
{ /* ./Rgc/rgcdfa.scm 147 */
obj_t BgL_resz00_871;
{ /* ./Rgc/rgcdfa.scm 147 */
int BgL_auxz00_1180;
BgL_auxz00_1180 = 
(int)(((long)0)); 
BgL_resz00_871 = 
PROCEDURE_REF(BgL_envz00_870, BgL_auxz00_1180); } 
{ 
obj_t BgL_statez00_456;
BgL_statez00_456 = BgL_statez00_872; 
{ /* ./Rgc/rgcdfa.scm 147 */
obj_t BgL_auxz00_873;
{ /* ./Rgc/rgcdfa.scm 147 */
obj_t BgL_auxz00_1183;
BgL_auxz00_1183 = 
CELL_REF(BgL_resz00_871); 
BgL_auxz00_873 = 
MAKE_PAIR(BgL_statez00_456, BgL_auxz00_1183); } 
return 
CELL_SET(BgL_resz00_871, BgL_auxz00_873);} } } } 
}



/* init-states! */
obj_t BGl_initzd2statesz12zc0zz__rgc_dfaz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 153 */
BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = 
BINT(((long)-1)); 
{ /* ./Rgc/rgcdfa.scm 155 */
obj_t BgL_list1134z00_462;
{ /* ./Rgc/rgcdfa.scm 155 */
obj_t BgL_auxz00_1186;
BgL_auxz00_1186 = 
BINT(((long)64)); 
BgL_list1134z00_462 = 
MAKE_PAIR(BgL_auxz00_1186, BNIL); } 
return ( 
BGl_za2statesza2z00zz__rgc_dfaz00 = 
BGl_makezd2hashzd2tablez00zz__hashz00(((long)1024), BGl_proc1976z00zz__rgc_dfaz00, BGl___statezd2positionzd2setzd2envzd2zz__rgc_dfaz00, BGl_rgcsetzd2equalzf3zd2envzf3zz__rgc_setz00, BgL_list1134z00_462), BUNSPEC) ;} } 
}



/* <anonymous:1136> */
obj_t BGl_zc3anonymousza31136ze3z83zz__rgc_dfaz00(obj_t BgL_envz00_875, obj_t BgL_setz00_876)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 156 */
{ 
obj_t BgL_setz00_463;
{ /* ./Rgc/rgcdfa.scm 157 */
long BgL_auxz00_1190;
BgL_setz00_463 = BgL_setz00_876; 
{ /* ./Rgc/rgcdfa.scm 157 */
int BgL_arg1138z00_752;
BgL_arg1138z00_752 = 
BGl_rgcsetzd2ze3hashz31zz__rgc_setz00(BgL_setz00_463); 
{ /* ./Rgc/rgcdfa.scm 157 */
long BgL_auxz00_1192;
BgL_auxz00_1192 = 
(long)(BgL_arg1138z00_752); 
BgL_auxz00_1190 = 
(BgL_auxz00_1192%((long)1024)); } } 
return 
BINT(BgL_auxz00_1190);} } } 
}



/* make-state */
obj_t BGl_makezd2statezd2zz__rgc_dfaz00(obj_t BgL_positionsz00_36)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 180 */
{ /* ./Rgc/rgcdfa.scm 181 */
obj_t BgL_numz00_468;
{ /* ./Rgc/rgcdfa.scm 181 */
long BgL_za71za7_758;
BgL_za71za7_758 = 
(long)CINT(BGl_za2statezd2numza2zd2zz__rgc_dfaz00); 
{ /* ./Rgc/rgcdfa.scm 181 */
long BgL_auxz00_1197;
BgL_auxz00_1197 = 
(BgL_za71za7_758+((long)1)); 
BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = 
BINT(BgL_auxz00_1197); } } 
BgL_numz00_468 = BGl_za2statezd2numza2zd2zz__rgc_dfaz00; 
{ /* ./Rgc/rgcdfa.scm 181 */
obj_t BgL_namez00_469;
{ /* ./Rgc/rgcdfa.scm 182 */
obj_t BgL_arg1147z00_471;
{ /* ./Rgc/rgcdfa.scm 182 */
char * BgL_arg1151z00_473;
BgL_arg1151z00_473 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_numz00_468, BNIL); 
{ /* ./Rgc/rgcdfa.scm 182 */
obj_t BgL_auxz00_1201;
BgL_auxz00_1201 = 
string_to_bstring(BgL_arg1151z00_473); 
BgL_arg1147z00_471 = 
string_append_3(BGl_string1977z00zz__rgc_dfaz00, BgL_auxz00_1201, BGl_string1978z00zz__rgc_dfaz00); } } 
BgL_namez00_469 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_arg1147z00_471, BEOA); } 
{ /* ./Rgc/rgcdfa.scm 182 */
obj_t BgL_statez00_470;
{ /* ./Rgc/rgcdfa.scm 183 */
obj_t BgL_newz00_764;
{ /* ./Rgc/rgcdfa.scm 183 */
int BgL_auxz00_1206;
BgL_auxz00_1206 = 
(int)(((long)4)); 
BgL_newz00_764 = 
create_struct(BGl_symbol1975z00zz__rgc_dfaz00, BgL_auxz00_1206); } 
{ /* ./Rgc/rgcdfa.scm 183 */
int BgL_auxz00_1209;
BgL_auxz00_1209 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_764, BgL_auxz00_1209, BgL_positionsz00_36); } 
{ /* ./Rgc/rgcdfa.scm 183 */
int BgL_auxz00_1212;
BgL_auxz00_1212 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_764, BgL_auxz00_1212, BNIL); } 
{ /* ./Rgc/rgcdfa.scm 183 */
int BgL_auxz00_1215;
BgL_auxz00_1215 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_764, BgL_auxz00_1215, BgL_numz00_468); } 
{ /* ./Rgc/rgcdfa.scm 183 */
int BgL_auxz00_1218;
BgL_auxz00_1218 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_764, BgL_auxz00_1218, BgL_namez00_469); } 
BgL_statez00_470 = BgL_newz00_764; } 
{ /* ./Rgc/rgcdfa.scm 183 */

BGl_putzd2hashz12zc0zz__hashz00(BgL_statez00_470, BGl_za2statesza2z00zz__rgc_dfaz00); 
return BgL_statez00_470;} } } } } 
}



/* state-positions */
BGL_EXPORTED_DEF obj_t BGl_statezd2positionszd2zz__rgc_dfaz00(obj_t BgL_statez00_38)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 199 */
{ /* ./Rgc/rgcdfa.scm 200 */
int BgL_auxz00_1222;
BgL_auxz00_1222 = 
(int)(((long)3)); 
return 
STRUCT_REF(BgL_statez00_38, BgL_auxz00_1222);} } 
}



/* _state-positions */
obj_t BGl__statezd2positionszd2zz__rgc_dfaz00(obj_t BgL_envz00_880, obj_t BgL_statez00_881)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 199 */
return 
BGl_statezd2positionszd2zz__rgc_dfaz00(BgL_statez00_881);} 
}



/* state-name */
BGL_EXPORTED_DEF obj_t BGl_statezd2namezd2zz__rgc_dfaz00(obj_t BgL_statez00_39)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 205 */
{ /* ./Rgc/rgcdfa.scm 206 */
int BgL_auxz00_1226;
BgL_auxz00_1226 = 
(int)(((long)0)); 
return 
STRUCT_REF(BgL_statez00_39, BgL_auxz00_1226);} } 
}



/* _state-name */
obj_t BGl__statezd2namezd2zz__rgc_dfaz00(obj_t BgL_envz00_882, obj_t BgL_statez00_883)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 205 */
return 
BGl_statezd2namezd2zz__rgc_dfaz00(BgL_statez00_883);} 
}



/* state-transitions */
BGL_EXPORTED_DEF obj_t BGl_statezd2transitionszd2zz__rgc_dfaz00(obj_t BgL_statez00_41)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 217 */
{ /* ./Rgc/rgcdfa.scm 218 */
int BgL_auxz00_1230;
BgL_auxz00_1230 = 
(int)(((long)2)); 
return 
STRUCT_REF(BgL_statez00_41, BgL_auxz00_1230);} } 
}



/* _state-transitions */
obj_t BGl__statezd2transitionszd2zz__rgc_dfaz00(obj_t BgL_envz00_884, obj_t BgL_statez00_885)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 217 */
return 
BGl_statezd2transitionszd2zz__rgc_dfaz00(BgL_statez00_885);} 
}



/* state? */
BGL_EXPORTED_DEF bool_t BGl_statezf3zf3zz__rgc_dfaz00(obj_t BgL_objz00_42)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 223 */
if(
STRUCTP(BgL_objz00_42))
{ /* ./Rgc/rgcdfa.scm 224 */
obj_t BgL_auxz00_1236;
BgL_auxz00_1236 = 
STRUCT_KEY(BgL_objz00_42); 
return 
(BgL_auxz00_1236==BGl_symbol1975z00zz__rgc_dfaz00);}  else 
{ /* ./Rgc/rgcdfa.scm 224 */
return ((bool_t)0);} } 
}



/* _state? */
obj_t BGl__statezf3zf3zz__rgc_dfaz00(obj_t BgL_envz00_886, obj_t BgL_objz00_887)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 223 */
{ /* ./Rgc/rgcdfa.scm 224 */
bool_t BgL_auxz00_1239;
BgL_auxz00_1239 = 
BGl_statezf3zf3zz__rgc_dfaz00(BgL_objz00_887); 
return 
BBOOL(BgL_auxz00_1239);} } 
}



/* print-dfa */
BGL_EXPORTED_DEF obj_t BGl_printzd2dfazd2zz__rgc_dfaz00(obj_t BgL_dfaz00_48)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 247 */
{ /* ./Rgc/rgcdfa.scm 248 */
obj_t BgL_port1003z00_486;
BgL_port1003z00_486 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string1979z00zz__rgc_dfaz00, BgL_port1003z00_486); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1003z00_486); } 
{ 
obj_t BgL_l1004z00_487;
BgL_l1004z00_487 = BgL_dfaz00_48; 
BgL_forzd2each1005zd2_488:
if(
PAIRP(BgL_l1004z00_487))
{ /* ./Rgc/rgcdfa.scm 249 */
{ /* ./Rgc/rgcdfa.scm 250 */
obj_t BgL_statez00_490;
BgL_statez00_490 = 
CAR(BgL_l1004z00_487); 
{ /* ./Rgc/rgcdfa.scm 250 */
obj_t BgL_port1006z00_491;
BgL_port1006z00_491 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string1980z00zz__rgc_dfaz00, BgL_port1006z00_491); 
{ /* ./Rgc/rgcdfa.scm 250 */
obj_t BgL_auxz00_1250;
{ /* ./Rgc/rgcdfa.scm 250 */
int BgL_auxz00_1251;
BgL_auxz00_1251 = 
(int)(((long)1)); 
BgL_auxz00_1250 = 
STRUCT_REF(BgL_statez00_490, BgL_auxz00_1251); } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_auxz00_1250, BgL_port1006z00_491); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1006z00_491); } BGl_list1981z00zz__rgc_dfaz00; } 
{ 
obj_t BgL_l1004z00_1256;
BgL_l1004z00_1256 = 
CDR(BgL_l1004z00_487); 
BgL_l1004z00_487 = BgL_l1004z00_1256; 
goto BgL_forzd2each1005zd2_488;} }  else 
{ /* ./Rgc/rgcdfa.scm 249 */((bool_t)1); } } 
{ /* ./Rgc/rgcdfa.scm 266 */
obj_t BgL_port1007z00_494;
BgL_port1007z00_494 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2025z00zz__rgc_dfaz00, BgL_port1007z00_494); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1007z00_494); } 
{ /* ./Rgc/rgcdfa.scm 267 */
obj_t BgL_arg1212z00_495;
BgL_arg1212z00_495 = 
BGL_CURRENT_OUTPUT_PORT(); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg1212z00_495);} } 
}



/* _print-dfa */
obj_t BGl__printzd2dfazd2zz__rgc_dfaz00(obj_t BgL_envz00_888, obj_t BgL_dfaz00_889)
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 247 */
return 
BGl_printzd2dfazd2zz__rgc_dfaz00(BgL_dfaz00_889);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00()
{ AN_OBJECT;
{ /* ./Rgc/rgcdfa.scm 15 */
BGl_modulezd2initializa7ationz75zz__rgc_configz00(((long)37616), "__rgc_dfa"); 
BGl_modulezd2initializa7ationz75zz__rgc_setz00(((long)45761), "__rgc_dfa"); 
BGl_modulezd2initializa7ationz75zz__rgc_rulesz00(((long)45211), "__rgc_dfa"); 
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__rgc_dfa");} 
}

